be.ehealth.businessconnector.tarification.session.impl

## Class TarificationSessionServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.tarification.session.impl.TarificationSessionServiceImpl

- All Implemented Interfaces:
    TarificationSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class TarificationSessionServiceImpl
      extends Object
      implements TarificationSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `TarificationSessionService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TarificationSessionServiceImpl()` constructor only to be used for bootstrap purposes.
    `TarificationSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `TarificationConsultationResponse` | `consultTarification(TarificationConsultationRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TarificationSessionServiceImpl

          public TarificationSessionServiceImpl(SessionValidator sessionValidator,
                                                EhealthReplyValidator replyValidator)
                                         throws TechnicalConnectorException

      Parameters:
        `sessionValidator` -
        `replyValidator` - not used for this service. the business answer does not contain an business error , but will throw SoapException.
      Throws:
        `TechnicalConnectorException`

    - #### TarificationSessionServiceImpl

          public TarificationSessionServiceImpl()

      constructor only to be used for bootstrap purposes.

  - ### Method Detail

    - #### consultTarification

          public TarificationConsultationResponse consultTarification(TarificationConsultationRequest request)
                                                               throws TechnicalConnectorException

      Specified by:
        `consultTarification` in interface `TarificationSessionService`
      Parameters:
        `request` - `TarificationConsultationRequest`
      Returns:
        `TarificationConsultationResponse`
      Throws:
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Package PERSDENTIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.